Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.util
Class ThreadUtils

    java.lang.Object
      org.gradle.util.ThreadUtils

    public class ThreadUtils

extends java.lang.Object

Constructor Summary
`ThreadUtils()`

Method Summary
`static
`<T extends java.util.concurrent.ExecutorService> void`
` | `awaitTermination(T executorService)`
`static
`<T extends java.util.concurrent.ExecutorService> void`
` | `awaitTermination(T executorService, InterruptHandler<T> interruptHandler)`
`static
`<T extends java.lang.Thread> void`
` | `join(T threadToJoinWith)`
`static
`<T extends java.lang.Thread> void`
` | `join(T threadToJoinWith, InterruptHandler<T> interruptHandler)`
`static java.util.concurrent.ExecutorService` | `newFixedThreadPool(int minimalSize)`
`static java.lang.Thread` | `run(java.lang.Runnable runnable)`
`static
`<T extends java.util.concurrent.ExecutorService> void`
` | `shutdown(T executorService)`
`static
`<T extends java.util.concurrent.ExecutorService> void`
` | `shutdown(T executorService, InterruptHandler<T> interruptHandler)`
`static int` | `threadPoolSize(int minimalSize)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ThreadUtils

    public ThreadUtils()

Method Detail

### threadPoolSize

    public static int threadPoolSize(int minimalSize)

### newFixedThreadPool

    public static java.util.concurrent.ExecutorService newFixedThreadPool(int minimalSize)

### join

    public static <T extends java.lang.Thread> void join(T threadToJoinWith)

### join

    public static <T extends java.lang.Thread> void join(T threadToJoinWith,
                                                         InterruptHandler<T> interruptHandler)

### shutdown

    public static <T extends java.util.concurrent.ExecutorService> void shutdown(T executorService)

### shutdown

    public static <T extends java.util.concurrent.ExecutorService> void shutdown(T executorService,
                                                                                 InterruptHandler<T> interruptHandler)

### awaitTermination

    public static <T extends java.util.concurrent.ExecutorService> void awaitTermination(T executorService)

### awaitTermination

    public static <T extends java.util.concurrent.ExecutorService> void awaitTermination(T executorService,
                                                                                         InterruptHandler<T> interruptHandler)

### run

    public static java.lang.Thread run(java.lang.Runnable runnable)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD